<template>
  <div class="grid-container">
    <div>
      <font-awesome-icon
        v-if="!canEdit"
        v-on:click="changeCanEdit"
        :icon="['fas', 'edit']"
      />
      <font-awesome-icon
        v-if="canEdit"
        v-on:click="changeCanEdit"
        :icon="['fas', 'coffee']"
      />
      <button class="btn green" @click="$modal.show('error-modal')">
        Demo: Error handling
      </button>
    </div>
    <div>
      <div :href="title">{{ title }}</div>
    </div>
    <div>Due on: {{ dueDate }}</div>
    <div>
      <input v-if="canEdit" v-model="description" />
      <p v-if="!canEdit">{{ description }}</p>
    </div>
    <!--
    <div>
        <font-awesome-icon icon="spinner" />
        <font-awesome-icon :icon="['fas', 'user-secret']" />
        <font-awesome-icon :icon="['fas', 'edit']" />
    </div>
    -->
  </div>
</template>

<script>
import { library } from "@fortawesome/fontawesome-svg-core";
import {
  faUserSecret,
  faCoffee,
  faSpinner,
  faEdit
} from "@fortawesome/free-solid-svg-icons";
library.add(faUserSecret, faCoffee, faSpinner, faEdit);

export default {
  name: "Task",
  props: {
    title: String,
    description: String,
    dueDate: String,
    canEdit: Boolean
  },
  methods: {
    changeCanEdit: function() {
      this.$props.canEdit = !this.$props.canEdit;
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.grid-container {
  display: grid;
  grid-template-columns: 10% 30% 30% auto;
  grid-gap: 1px;
  background-color: #2196f3;
  padding: 1px;
}

.grid-container > div {
  background-color: rgba(255, 255, 255, 0.8);
  text-align: center;
  padding: 0px 0;
  font-size: 30px;
  display: inline-block;
  white-space: nowrap;
}

h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}</style
>est
